[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: broken yum after latest yum update



Michael Schwendt wrote:
On 30/11/2007, Konstantin Svist wrote:
After updating my F8 install with "yum update" I can't run yum anymore.

I wonder why you chose a subject line like that when you broke Python
yourself? You even found the cause of it, didn't you?

Here's the error I get:

"""
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   /usr/lib/python2.5/lib-dynload/cPickle.so: undefined symbol:
PyUnicodeUCS4_DecodeRawUnicodeEscape

That's provided by libpython (python-libs package).
I've tried reinstalling python from fedora rpm (same version) - to no avail.

Another clue: I've installed a self-compiled python in /usr/local.

Most likely you override LD_LIBRARY_PATH with /usr/local and your
self-built libpython in /usr/local/lib.

However, I was careful to not make it conflict with the built-in
version:

Apparently not careful enough. ;)


Okay, I'll try reinstalling the python-libs package.
According to rpm -q, the file is owned by "python-2.5.1.." package - which is why I tried reinstalling that one, instead.



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]